package com.hh.arome.common.scan.broadcast.abstractscan;

import android.content.Context;

/**
 * Created by L470 on 2020/5/23.
 * 对各种广播扫码的最高层抽象
 */
public interface IBroadcastScan {


    // 初始化
    void init(Context context);

    // 销毁
    void destory();

    // 注册广播
    void registerBroadcast();

    // 反注册广播
    void unregisterBroadcast();


}
